package com.heyu.api.data.service.impl.system;
/**
* <p>
* 同性词表（同性词非语言中的同义词，而是指正反一词和同一个结果的词） 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.system.SystemSameTalkDao;
import com.heyu.api.data.entity.system.SystemSameTalkEntity;
import com.heyu.api.data.service.system.SystemSameTalkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class SystemSameTalkServiceImpl extends ServiceImpl<SystemSameTalkDao, SystemSameTalkEntity> implements SystemSameTalkService {


    @Autowired
	private SystemSameTalkDao systemSameTalkDao;



	@Override
	public SystemSameTalkEntity selectSystemSameTalkById(Long id){
		return systemSameTalkDao.selectSystemSameTalkById(id);
	}



	@Override
	public Long insertSystemSameTalk(SystemSameTalkEntity systemSameTalk){
		return systemSameTalkDao.insertSystemSameTalk(systemSameTalk);
	}



	@Override
	public Long insertOrUpdateSystemSameTalk(SystemSameTalkEntity systemSameTalk){
		return systemSameTalkDao.insertOrUpdateSystemSameTalk(systemSameTalk);
	}



	@Override
	public int updateSystemSameTalkById(SystemSameTalkEntity systemSameTalk){
		return systemSameTalkDao.updateSystemSameTalkById(systemSameTalk);
	}



	@Override
	public int updateCoverSystemSameTalkById(SystemSameTalkEntity systemSameTalk){
		return systemSameTalkDao.updateCoverSystemSameTalkById(systemSameTalk);
	}



	@Override
	public int deleteSystemSameTalkById(Long id){
		return systemSameTalkDao.deleteSystemSameTalkById(id);
	}



}
